function getUrlParams() {
    var url = window.location.href;
    var queryStartIndex = url.indexOf("?");
    if ( queryStartIndex < 0 ) {
        return {};
    }

    var params = {};
    var queryString = url.substr(queryStartIndex + 1);
    var queryParts = queryString.split("&");
    for ( var i = 0; i < queryParts.length; i++ ) {
        var queryPair = queryParts[i].split("=");
        if ( queryPair.length > 1 ) {
            params[decodeURI(queryPair[0])] = decodeURI(queryPair[1]);
        }
        else {
            params[decodeURI(queryPair[0])] = null;
        }
    }
    return params;
}

function loadCss(cssFile) {
    var fileref=document.createElement("link");
    fileref.setAttribute("rel", "stylesheet");
    fileref.setAttribute("type", "text/css");
    fileref.setAttribute("href", cssFile);
    document.getElementsByTagName("head")[0].appendChild(fileref);
    return fileref;
}

function loadJs(jsFile, callback) {
    var fileref=document.createElement('script')
    fileref.setAttribute("type","text/javascript")
    fileref.setAttribute("src", jsFile)
    if ( callback ) {
        fileref.onload = callback;
    }
    document.getElementsByTagName("head")[0].appendChild(fileref);
    return fileref;
}

(function() {
    var _lastId = 0;
    function makeId() {
        return _lastId++
    }

    window.makeId = makeId;
})();